#!/bin/env perl

use strict;
use File::Basename qw(dirname);
use feature qw(say);

use DE_EPAGES::Core::API::File qw( MoveFile GetFileContent );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Installer::API::CPAN qw( InstallCPAN );

sub Main {
    local $| = 1;

    chdir dirname $0;

    my $SourceDir = '../FileChanges/srv/epages/eproot/Cartridges/CPAN/EPAGES';
    my $ModulesIni = "$SourceDir/PerlLib/$^O/modules.ini";
    my $Version = GetFileContent('../version.txt');
    chomp($$Version);

    MoveFile("$ModulesIni-$$Version", $ModulesIni)
        if -f "$ModulesIni-$$Version" and not -f $ModulesIni;
    return unless -f $ModulesIni;

    say qq(InstallCPAN([$SourceDir]));
    InstallCPAN([$SourceDir]);
    MoveFile($ModulesIni, "$ModulesIni-$$Version");
}

RunScript(
    'Sub' => \&Main
);
