#!/bin/env perl

use strict;
use File::Basename;

use DE_EPAGES::Core::API::Script qw (RunScript);
use DE_EPAGES::Core::API::SystemCommand qw (SystemCommand);
use DE_EPAGES::Installer::API::Service qw( StartService );

sub Main {
    local $| = 1;

    chdir dirname $0;

    if ($^O eq 'MSWin32') {
        StartService( 'appserver' );
    } else {
        SystemCommand('/etc/init.d/epages6 start_service', {Print => 1});
    }
}

RunScript(
    'Sub' => \&Main
);
